> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/order-history.md).

# Order History

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/OrderHistory`

\
**QUERY PARAMETERS**

| Request Parameter | Description | Mandatory |
| ----------------- | ----------- | --------- |
| broker            | Broker Code | Yes       |
| order\_id         | Order ID    | Yes       |

<pre data-title="# Here is a curl example"><code><strong>-X POST https://amapi.algomojo.com/v1/OrderHistory
</strong></code></pre>

{% code title="Request example :   " %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",  
"data":   
{

"broker":"tc",
"order_id":"22111500011211"
}
}
```

{% endcode %}

{% code title="Response example:" %}

```
{
"status": "success",
"data": [
{
     "exchange": "NSE",
     "symbol": "YESBANK-EQ",
     "product": "CNC",
     "pricetype": "MARKET",
     "ret": "DAY",
     "price": 0,
     "trigger_price": 0,
     "quantity": 1,
     "disclosed_quantity": 0,
     "action": "BUY",
     "avgprc": "",
     "fillshares": "",
     "orderusermessage": "",
     "exchordid": "1300000011288972",
     "order_id": "22111500011211",
     "status": "complete",
     "rejreason": "",
     "exchtimestamp": "",
 },
 {
     "exchange": "NSE",
     "symbol": "YESBANK-EQ",
     "product": "CNC",
     "pricetype": "MARKET",
     "ret": "DAY",
     "price": 0,
     "trigger_price": 0,
     "quantity": 1,
     "disclosed_quantity": 0,
     "action": "BUY",
     "avgprc": "",
     "fillshares": "",
     "orderusermessage": "",
     "exchordid": "1300000011288972",
     "order_id": "22111500011211",
     "status": "open",
     "rejreason": "",
     "exchtimestamp": "",
 },
 {
     "exchange": "NSE",
     "symbol": "YESBANK-EQ",
     "product": "CNC",
     "pricetype": "MARKET",
     "ret": "DAY",
     "price": 0,
     "trigger_price": 0,
     "quantity": 1,
     "disclosed_quantity": 0,
     "action": "BUY",
     "avgprc": "",
     "fillshares": "",
     "orderusermessage": "",
     "exchordid": "",
     "order_id": "22111500011211",
     "status": "pending",
     "rejreason": "",
     "exchtimestamp": "",
 },
 {
     "exchange": "NSE",
     "symbol": "YESBANK-EQ",
     "product": "CNC",
     "pricetype": "MARKET",
     "ret": "DAY",
     "price": 0,
     "trigger_price": 0,
     "quantity": 1,
     "disclosed_quantity": 0,
     "action": "BUY",
     "avgprc": "",
     "fillshares": "",
     "orderusermessage": "",
     "exchordid": "",
     "order_id": "22111500011211",
     "status": "pending",
     "rejreason": "",
     "exchtimestamp": "",
 }
]
}
         
```

{% endcode %}
